version: "3.3"

services:
  openresty:
    image: openresty/openresty:1.25.3.2-alpine
    container_name: openresty
    ports:
      - 7001:7001
    extra_hosts:
      - "onprem-controller:172.17.0.1"
    volumes:
      - ./nginx.conf:/usr/local/openresty/nginx/conf/nginx.conf
      - ./http.conf:/etc/nginx/conf.d/http.conf
      - ./1.25.3.2/nginx_ext_auth_module.so:/usr/local/openresty/nginx/modules/nginx_ext_auth_module.so
      - ./1.25.3.2/nginx_ext_access_log_module.so:/usr/local/openresty/nginx/modules/nginx_ext_access_log_module.so
